Bug 121740 - misleading documentation leads to segfaults
misleading documentation leads to segfaults
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xfig (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-26 21:40 EDT by Bevan Bennett
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-16 14:56:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bevan Bennett 2004-04-26 21:40:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
1) /usr/share/doc/xfig/html/frm_options.html says the default for
'library_dir' is '~/xfiglibs' but the default directory appears to
actually be '/usr/X11R6/lib/X11/xfig/Libraries'.

/usr/share/doc/xfig/html/frm_object_libraries.html identifies the
correct default (``$XFIGLIBDIR/Libraries'').

2) /usr/share/doc/xfig/html/frm_object_libraries.html describes a
'method 2' whereby you can specify a file containing the library
locations. xfig appears to segfault on library access if any of the
directories so specified directly contain .fig files (rather than
subdirectories which contain .fig files). Sometimes the segfault does
not occur, but the library list is mangled in strange ways (showing
subdirectories of (null), for example).

Version-Release number of selected component (if applicable):
xfig-3.2.4-2

How reproducible:
Always

Steps to Reproduce:
Example:
% cat .xfiglibs
/home/user/bevan/xfiglib                Bevan's Library
/usr/X11R6/lib/X11/xfig/Libraries       Defaults

/home/user/bevan/xfiglib contains subdirectories Foo and Bar, which in
turn contain foo.fig and bar.fig, respectively. This works as
expected, when the library xresource is set or xfig is invoked with
"xfig -library_dir .xfiglibs".

However, when .xfiglibs is changed to contain:
/home/user/bevan/xfiglib/Foo            Foo
/home/user/bevan/xfiglib/Bar            Bar

shift-l results in:
xfig3.2.4: SIGSEGV signal trapped
xfig: figure empty or not modified - exiting
Abort (core dumped)

If .xfigdirs contains a 'good' listing first:
/home/user/bevan/xfiglib       Good
/home/user/bevan/xfiglib/Foo   Bad
/usr/X11R6/lib/X11/xfig/Libraries       Defaults

shift-l does not cause an immediate segfault, but instead a mangled
menu is shown. In this case 'Good' disappears, and 'Bad' is listed
first as if it had sublibraries, but when browsed to the listing is
garbage. Defaults appears normally, interestingly.

Lastly, if things are set up in the working configuration forst
described, then a .fig file is dropped into /home/user/bevan/xfigdirs,
the menu looks correct, but 'Bevan's Library' contains not just Foo
and Bar, but also a garbage entry that causes the segfault if selected.

Expected Results:  xfig's config file should be able to point directly
to a library directory that contains .fig files (or this needs to be
documented).

In any case, the presence of a regular file in a library_dir should
not cause a segfault.

Additional info:
Comment 1 Bevan Bennett 2005-03-15 20:15:47 EST
Still reproduceable in FC3 with xfig-3.2.4-5, updating.
Comment 2 Matthew Miller 2006-07-10 18:19:32 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-29 16:55:19 EST
Closing per lack of response to previous request for information.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  Please test
this on FC5 or FC6.  If it still occurs there, please reopen and change the
version to fc5 or fc6.  Otherwise, if this is a security issue, please reassign
the bug to Fedora Legacy.  Thanks, and we apologize for not getting to this bug
earlier.
Comment 4 Patrice Dumas 2006-10-30 17:02:26 EST
I can reproduce it with rawhide xfig

cd
mkdir -p xfiglib/Foo/
echo "$HOME/xfiglib/Foo Foo" > .xfiglibs
cp /usr/share/xfig/Libraries/Arrows/3darrow1.fig xfiglib/Foo/
xfig -library_dir .xfiglibs

And click on the library icon
xfig3.2.4: SIGSEGV signal trapped
xfig: figure empty or not modified - exiting
Abandon
Comment 5 Hans de Goede 2007-11-16 14:56:17 EST
Hi all,

I'm now a co-maintainer of xfig, I cannot reproduce this with xfig-3.2.5,
closing as worksforme.

Note You need to log in before you can comment on or make changes to this bug.